import { BaseNode, TaskNode } from '@logicflow/engine';
export declare class CommonNode extends TaskNode {
    private parseData;
    /**
     * 加载数据请求
     * @private
     */
    private fetchDataSource;
    /**
     * 页面跳转逻辑
     * @private
     */
    private pageJump;
    /**
     * 行为
     */
    action(): Promise<BaseNode.ActionResult | undefined>;
    /**
     * 执行条件节点
     * @param value
     * @private
     */
    private runConditions;
    private getConditionIsPass;
    private updateState;
    /**
     * 是否执行
     * @param _properties
     */
    protected isPass(_properties?: Record<string, unknown>): Promise<boolean>;
}
